#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QGraphicsSceneMouseEvent>
#include "sowing.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
void setClearImage();
void openAbout();
void toggleGrid();
void drawImage(QImage);
void createScene();
void kleurPixel(int,int);
void invertImage();
void drawSmiley();
void mousePressEvent(QMouseEvent *event);
void mirrorYud();
void mirrorYdu();
void mirrorXlr();
void mirrorXrl();
void sow();

protected:
    void keyPressEvent(QKeyEvent *);

private:
    Ui::MainWindow *ui;

};


#endif // MAINWINDOW_H

